Page MenuHomePhabricator

Enable Security (stronger authentication and data encryption) for the Analytics Hadoop cluster and its dependent services
Closed, ResolvedPublic0 Estimated Story Points

Description

This is the parent task to track all the work needed to:

  • enable a stronger authentication mechanism to Analytics Hadoop (based on Kerberos) for all the users (automated and human) interacting with it.
  • enable authentication and data encryption for all the Hadoop protocols that carry sensitive/important data.

The two macro areas should be doable in isolation, to avoid enabling too many things at the same time.

Related Objects

StatusSubtypeAssignedTask
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
ResolvedRobH
Resolvedelukey
ResolvedCmjohnson
ResolvedNone
ResolvedPapaul
ResolvedPapaul
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
ResolvedNuria
ResolvedOttomata
Resolvedelukey
Stalledelukey
ResolvedCmjohnson
Resolvedelukey
Resolvedelukey
Resolvedelukey
ResolvedJAllemandou
Resolvedelukey
Resolvedelukey
Resolvedelukey
Resolvedelukey
Opencchen
Resolvedelukey

Event Timeline

Nuria created this task.Dec 13 2018, 12:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2018, 12:23 AM
Nuria renamed this task from Kerberos Stand Alone service running in production to Kerberos stand alone service running in production.Dec 13 2018, 12:54 AM
fdans assigned this task to elukey.Dec 13 2018, 5:51 PM
fdans triaged this task as High priority.
fdans moved this task from Incoming to Operational Excellence on the Analytics board.
Nuria renamed this task from Kerberos stand alone service running in production to Kerberos service running in production.Dec 18 2018, 9:37 PM
Nuria updated the task description. (Show Details)
Nuria set the point value for this task to 0.
Nuria added a parent task: Restricted Task.Dec 18 2018, 9:41 PM
elukey moved this task from Backlog to In Progress on the User-Elukey board.Jan 7 2019, 8:23 AM
elukey renamed this task from Kerberos service running in production to Enable Security (stronger authentication and data encryption) for the Analytics Hadoop cluster and its dependent services.Mar 1 2019, 2:59 PM
elukey updated the task description. (Show Details)
mforns lowered the priority of this task from High to Medium.Mar 11 2019, 3:31 PM
elukey moved this task from In Progress to Kerberos on the User-Elukey board.Jul 5 2019, 6:56 AM
elukey closed this task as Resolved.Apr 17 2020, 1:33 PM

This monster can be finally close I believe :)